Forums » SEPHP Help and Tips

Error on prodottitipici.co

  • November 12, 2021 10:30 AM EST

    Hi guys, I have an error on my site: prodottitipici.co on the installation on the V. 5.7.1 

    I've tried to set the permission required to 777 even the other folders, but doesn't works. Can you help me please?

     

    Thank You.

    The error is the following:

    Deprecated: array_key_exists(): Using array_key_exists() on objects is deprecated. Use isset() or property_exists() instead in /home/customer/www/prodottitipici.co/public_html/application/libraries/Zend/Registry.php on line 206

    Cannot send headers; headers already sent in /home/customer/www/prodottitipici.co/public_html/application/libraries/Zend/Registry.php, line 206#0 /home/customer/www/prodottitipici.co/public_html/application/libraries/Zend/Controller/Response/Abstract.php(148): Zend_Controller_Response_Abstract->canSendHeaders(true)
    #1 /home/customer/www/prodottitipici.co/public_html/application/libraries/Zend/Controller/Action/Helper/Redirector.php(226): Zend_Controller_Response_Abstract->setRedirect('/install/', 302)
    #2 /home/customer/www/prodottitipici.co/public_html/application/libraries/Zend/Controller/Action/Helper/Redirector.php(321): Zend_Controller_Action_Helper_Redirector->_redirect('/install/')
    #3 /home/customer/www/prodottitipici.co/public_html/application/libraries/Zend/Controller/Action/Helper/Redirector.php(420): Zend_Controller_Action_Helper_Redirector->setGotoRoute(Array, 'default', true, true)
    #4 /home/customer/www/prodottitipici.co/public_html/install/controllers/ErrorController.php(25): Zend_Controller_Action_Helper_Redirector->gotoRoute(Array, 'default', true)
    #5 /home/customer/www/prodottitipici.co/public_html/application/libraries/Zend/Controller/Action.php(133): ErrorController->init()
    #6 /home/customer/www/prodottitipici.co/public_html/application/libraries/Zend/Controller/Dispatcher/Standard.php(281): Zend_Controller_Action->__construct(Object(Zend_Controller_Request_Http), Object(Zend_Controller_Response_Http), Array)
    #7 /home/customer/www/prodottitipici.co/public_html/application/libraries/Zend/Controller/Front.php(954): Zend_Controller_Dispatcher_Standard->dispatch(Object(Zend_Controller_Request_Http), Object(Zend_Controller_Response_Http))
    #8 /home/customer/www/prodottitipici.co/public_html/application/libraries/Zend/Application/Bootstrap/Bootstrap.php(105): Zend_Controller_Front->dispatch()
    #9 /home/customer/www/prodottitipici.co/public_html/application/libraries/Zend/Application.php(384): Zend_Application_Bootstrap_Bootstrap->run()
    #10 /home/customer/www/prodottitipici.co/public_html/install/index.php(92): Zend_Application->run()
    #11 {main}

    For "cache_dir is not writable", set full permissions on temporary/cache

    • Moderator
    • 5992 posts
    November 12, 2021 12:41 PM EST

    We can get that message when the server is not configured to the requirements, especially the notes in the requirements. https://socialengine.atlassian.net/wiki/spaces/SU/pages/81788966/SE+PHP+-+SocialEngine+Requirements . Check that, making sure your host is not using MariaDB or PHP above 7.2. 

     

    Here's a link to the permission tutorial to check that too, https://socialengine.atlassian.net/wiki/spaces/SU/pages/5112151/SE+PHP+-+Optimized+File+and+Folder+Permissions

  • November 15, 2021 8:22 AM EST

    Thank you Donna, 

    I contacted my server provider, who said the server meets the requirements. As you can see. For more details I am attaching all the server specifications at this link: https://prodottitipici.co/phpinfo.php

    At this point I don't understand why I can't go from the installation if the requirements match.
    Can you please help me with this problem? Thanks.

    • Moderator
    • 5992 posts
    November 15, 2021 10:01 AM EST
    Donna said:

    Check that, making sure your host is not using MariaDB or PHP above 7.2. 

     You missed what I said above. Your server is not configured properly.

     

  • November 15, 2021 10:41 AM EST
    Thanks for your clarification. I upgraded the php to 7.2 and now the server seems to be working fine. The problem, however, is that unfortunately my provider will stop supporting servers with obsolete php versions at the end of the year. Can you tell me if you expect a php update to the current version for the new year? A thousand thanks.
    • Moderator
    • 5992 posts
    November 15, 2021 3:00 PM EST

    Our recommended host, BryZar provides any PHP version when needed. In case you need it. We have posted that our v6 version will be compatible up to PHP 7.4 once we get it released. It is in beta testing at the moment.

  • November 16, 2021 3:05 AM EST

    Thank you Donna. 

  • November 24, 2021 9:31 AM EST

    Hi Donna, can you help me with the email configurations?

    I took your advice and moved to Bryzar. But I don't know how to configure the mail setting for sending emails from SocialEngine. If i Use the built-in mail () function doesnt works.
    I need to Send emails through an SMTP server?

    Thank You.

    • Moderator
    • 5992 posts
    November 24, 2021 9:38 AM EST

    BryZar has free SMTP. Use their SMTP and then set the settings in the mail settings in admin. Ric can help you set up the SMTP server at BryZar. Here's how to set the settings after, https://blog.bryzar.com/socialengine-smtp-setup/ . Actually, that article shows how to get it started in BryZar and how to set the settings in the SE admin panel. :)

  • December 7, 2021 5:38 AM EST

    Hi, I'm trying to post a link in the feed, but i always recive the error message: The post was not added to the feed. Please check your privacy settings. I checked as both user and admin and they are all set to public. I do not understand why I do not accept the publication of any link even as an admin profile.

    Thank you.

    • Moderator
    • 5992 posts
    December 7, 2021 5:48 AM EST

    Sometimes you have to save your privacy settings again. Try that and see if it works. As for links, you also need to ensure that you have set the iframely setting to either the self hosted or the iframely api for links to work. Our recommended host, BryZar, provides free and low cost iframely hosting (whether you host your main site there or not), https://community.socialengine.com/event/43/free-iframely-hosting . Or, the iframely api is about $29 per month from iframely. More info here, https://socialengine.atlassian.net/wiki/spaces/SU/pages/5210486/SE+PHP+-+iframely